let map, marker, geocoder, pano, pano_service, h, p, x, y, z, searchService, local, cityname, panoId;

function getWindowHeight() {
    return window.self && self.innerHeight ? self.innerHeight : document.documentElement && document.documentElement.clientHeight ? document.documentElement.clientHeight : 0
}

function mapresize() {
    th = getWindowHeight();
    document.getElementById("panomap").style.height = th * 0.75 + "px";
    document.getElementById("map").style.height = th * 0.25 + "px";
}


window.onresize = function () {
    mapresize()
};
top.location != self.location && (top.location = self.location);

function loadmap1() {
    mapresize();
    geocoder = new BMap.Geocoder;
    let b = new BMap.Point(x, y);
    pano = new BMap.Panorama("panomap");
    pano.setPov({heading: 20, pitch: 15});
    pano.setPosition(b);
    pano_service = new BMap.PanoramaService;
};

function loadmap() {
    mapresize();
    map = new BMap.Map("map");
    geocoder = new BMap.Geocoder;
    var b = new BMap.Point(x, y);
    // map.addControl(new BMap.NavigationControl);
    // map.addControl(new BMap.MapTypeControl({
    //     mapTypes: [BMAP_NORMAL_MAP, BMAP_SATELLITE_MAP, BMAP_HYBRID_MAP]
    // }));
    map.addControl(new BMap.ScaleControl);
    map.centerAndZoom(b, 15);// 数值大小代表地图放大级别，数字越大，放大级别越大
    map.enableScrollWheelZoom();
    map.addTileLayer(new BMap.PanoramaCoverageLayer);
    var d = new BMap.Icon("https://www.earthol.org/images/pin.png", new BMap.Size(48, 48));
    marker = new BMap.Marker(b, {
        icon: d,
        enableMassClear: !1
    });
    marker.enableDragging();
    map.addOverlay(marker);

    pano = new BMap.Panorama("panomap");
    pano.setPov({
        heading: 20,
        pitch: 15
    });
    if (panoId) {
        console.log('i am panoId',panoId);
        pano.setId(panoId);
    } else {
        pano.setPosition(b);
    }
    pano_service = new BMap.PanoramaService;
    marker.addEventListener("dragend", function (a) {
        pano_service.getPanoramaByLocation(a.point, 99999, function (c) {
            pano.setId(c.id);
        });
    });
    map.addEventListener("click", function (a) {
        pano_service.getPanoramaByLocation(a.point, 99999, function (c) {
            pano.setId(c.id);
        });
    });
    pano.addEventListener("position_changed", function () {
        var a = pano.getPosition();
        map.panTo(a);
        marker.setPosition(a);
        geocoder.getLocation(a, function (c) {
            let l = c.address;
            // document.getElementById("currentLocation").innerHTML = l;
        });
    });
    // local = new BMap.LocalSearch(map, {
    //     onSearchComplete: function (a) {
    //         local.getStatus() != BMAP_STATUS_SUCCESS ? openInfo("\u672a\u80fd\u627e\u5230\u6709\u6548\u7684\u7ed3\u679c\u4f4d\u7f6e\uff0c\u8bf7\u68c0\u67e5\u60a8\u7684\u641c\u7d22\u8bcd\u662f\u5426\u6b63\u786e\uff0c\u5e76\u5c1d\u8bd5\u91cd\u65b0\u641c\u7d22\u3002", "\u641c\u7d22\u7ed3\u679c") : (a = a.getPoi(0).point,
    //             pano_service.getPanoramaByLocation(a, 999, function (c) {
    //                 null == c ? openInfo("\u60a8\u8981\u627e\u7684\u5730\u65b9\u6682\u65f6\u6ca1\u6709\u8857\u666f\u56fe\u50cf\u63d0\u4f9b\uff0c\u8bf7\u8c03\u6574\u641c\u7d22\u8bcd\u91cd\u65b0\u641c\u7d22\u3002", "\u641c\u7d22\u7ed3\u679c") : pano.setId(c.id)
    //             }));
    //     }
    // });
    // local.setLocation(cityname);
}